Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network65.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
65.0.0.0
Broadcast address
65.127.255.255
First usable
65.0.0.1
Last usable
65.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 41000000 · Integer 1090519040 to 1098907647
Reverse DNS zones
0.65.in-addr.arpa
1.65.in-addr.arpa
2.65.in-addr.arpa
3.65.in-addr.arpa
4.65.in-addr.arpa
5.65.in-addr.arpa
6.65.in-addr.arpa
7.65.in-addr.arpa
8.65.in-addr.arpa
9.65.in-addr.arpa
10.65.in-addr.arpa
11.65.in-addr.arpa
12.65.in-addr.arpa
13.65.in-addr.arpa
14.65.in-addr.arpa
15.65.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01000001.00000000.00000000.0000000065.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01000001.00000000.00000000.0000000065.0.0.0
Broadcast01000001.01111111.11111111.1111111165.127.255.255
Split into smaller subnets/16

65.0.0.0/9 makes 128 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
165.0.0.0/1665.0.0.1 to 65.0.255.25465.0.255.25565,534
265.1.0.0/1665.1.0.1 to 65.1.255.25465.1.255.25565,534
365.2.0.0/1665.2.0.1 to 65.2.255.25465.2.255.25565,534
465.3.0.0/1665.3.0.1 to 65.3.255.25465.3.255.25565,534
565.4.0.0/1665.4.0.1 to 65.4.255.25465.4.255.25565,534
665.5.0.0/1665.5.0.1 to 65.5.255.25465.5.255.25565,534
765.6.0.0/1665.6.0.1 to 65.6.255.25465.6.255.25565,534
865.7.0.0/1665.7.0.1 to 65.7.255.25465.7.255.25565,534
965.8.0.0/1665.8.0.1 to 65.8.255.25465.8.255.25565,534
1065.9.0.0/1665.9.0.1 to 65.9.255.25465.9.255.25565,534
1165.10.0.0/1665.10.0.1 to 65.10.255.25465.10.255.25565,534
1265.11.0.0/1665.11.0.1 to 65.11.255.25465.11.255.25565,534
1365.12.0.0/1665.12.0.1 to 65.12.255.25465.12.255.25565,534
1465.13.0.0/1665.13.0.1 to 65.13.255.25465.13.255.25565,534
1565.14.0.0/1665.14.0.1 to 65.14.255.25465.14.255.25565,534
1665.15.0.0/1665.15.0.1 to 65.15.255.25465.15.255.25565,534
1765.16.0.0/1665.16.0.1 to 65.16.255.25465.16.255.25565,534
1865.17.0.0/1665.17.0.1 to 65.17.255.25465.17.255.25565,534
1965.18.0.0/1665.18.0.1 to 65.18.255.25465.18.255.25565,534
2065.19.0.0/1665.19.0.1 to 65.19.255.25465.19.255.25565,534
2165.20.0.0/1665.20.0.1 to 65.20.255.25465.20.255.25565,534
2265.21.0.0/1665.21.0.1 to 65.21.255.25465.21.255.25565,534
2365.22.0.0/1665.22.0.1 to 65.22.255.25465.22.255.25565,534
2465.23.0.0/1665.23.0.1 to 65.23.255.25465.23.255.25565,534
2565.24.0.0/1665.24.0.1 to 65.24.255.25465.24.255.25565,534
2665.25.0.0/1665.25.0.1 to 65.25.255.25465.25.255.25565,534
2765.26.0.0/1665.26.0.1 to 65.26.255.25465.26.255.25565,534
2865.27.0.0/1665.27.0.1 to 65.27.255.25465.27.255.25565,534
2965.28.0.0/1665.28.0.1 to 65.28.255.25465.28.255.25565,534
3065.29.0.0/1665.29.0.1 to 65.29.255.25465.29.255.25565,534
3165.30.0.0/1665.30.0.1 to 65.30.255.25465.30.255.25565,534
3265.31.0.0/1665.31.0.1 to 65.31.255.25465.31.255.25565,534
3365.32.0.0/1665.32.0.1 to 65.32.255.25465.32.255.25565,534
3465.33.0.0/1665.33.0.1 to 65.33.255.25465.33.255.25565,534
3565.34.0.0/1665.34.0.1 to 65.34.255.25465.34.255.25565,534
3665.35.0.0/1665.35.0.1 to 65.35.255.25465.35.255.25565,534
3765.36.0.0/1665.36.0.1 to 65.36.255.25465.36.255.25565,534
3865.37.0.0/1665.37.0.1 to 65.37.255.25465.37.255.25565,534
3965.38.0.0/1665.38.0.1 to 65.38.255.25465.38.255.25565,534
4065.39.0.0/1665.39.0.1 to 65.39.255.25465.39.255.25565,534
4165.40.0.0/1665.40.0.1 to 65.40.255.25465.40.255.25565,534
4265.41.0.0/1665.41.0.1 to 65.41.255.25465.41.255.25565,534
4365.42.0.0/1665.42.0.1 to 65.42.255.25465.42.255.25565,534
4465.43.0.0/1665.43.0.1 to 65.43.255.25465.43.255.25565,534
4565.44.0.0/1665.44.0.1 to 65.44.255.25465.44.255.25565,534
4665.45.0.0/1665.45.0.1 to 65.45.255.25465.45.255.25565,534
4765.46.0.0/1665.46.0.1 to 65.46.255.25465.46.255.25565,534
4865.47.0.0/1665.47.0.1 to 65.47.255.25465.47.255.25565,534
4965.48.0.0/1665.48.0.1 to 65.48.255.25465.48.255.25565,534
5065.49.0.0/1665.49.0.1 to 65.49.255.25465.49.255.25565,534
5165.50.0.0/1665.50.0.1 to 65.50.255.25465.50.255.25565,534
5265.51.0.0/1665.51.0.1 to 65.51.255.25465.51.255.25565,534
5365.52.0.0/1665.52.0.1 to 65.52.255.25465.52.255.25565,534
5465.53.0.0/1665.53.0.1 to 65.53.255.25465.53.255.25565,534
5565.54.0.0/1665.54.0.1 to 65.54.255.25465.54.255.25565,534
5665.55.0.0/1665.55.0.1 to 65.55.255.25465.55.255.25565,534
5765.56.0.0/1665.56.0.1 to 65.56.255.25465.56.255.25565,534
5865.57.0.0/1665.57.0.1 to 65.57.255.25465.57.255.25565,534
5965.58.0.0/1665.58.0.1 to 65.58.255.25465.58.255.25565,534
6065.59.0.0/1665.59.0.1 to 65.59.255.25465.59.255.25565,534
6165.60.0.0/1665.60.0.1 to 65.60.255.25465.60.255.25565,534
6265.61.0.0/1665.61.0.1 to 65.61.255.25465.61.255.25565,534
6365.62.0.0/1665.62.0.1 to 65.62.255.25465.62.255.25565,534
6465.63.0.0/1665.63.0.1 to 65.63.255.25465.63.255.25565,534
6565.64.0.0/1665.64.0.1 to 65.64.255.25465.64.255.25565,534
6665.65.0.0/1665.65.0.1 to 65.65.255.25465.65.255.25565,534
6765.66.0.0/1665.66.0.1 to 65.66.255.25465.66.255.25565,534
6865.67.0.0/1665.67.0.1 to 65.67.255.25465.67.255.25565,534
6965.68.0.0/1665.68.0.1 to 65.68.255.25465.68.255.25565,534
7065.69.0.0/1665.69.0.1 to 65.69.255.25465.69.255.25565,534
7165.70.0.0/1665.70.0.1 to 65.70.255.25465.70.255.25565,534
7265.71.0.0/1665.71.0.1 to 65.71.255.25465.71.255.25565,534
7365.72.0.0/1665.72.0.1 to 65.72.255.25465.72.255.25565,534
7465.73.0.0/1665.73.0.1 to 65.73.255.25465.73.255.25565,534
7565.74.0.0/1665.74.0.1 to 65.74.255.25465.74.255.25565,534
7665.75.0.0/1665.75.0.1 to 65.75.255.25465.75.255.25565,534
7765.76.0.0/1665.76.0.1 to 65.76.255.25465.76.255.25565,534
7865.77.0.0/1665.77.0.1 to 65.77.255.25465.77.255.25565,534
7965.78.0.0/1665.78.0.1 to 65.78.255.25465.78.255.25565,534
8065.79.0.0/1665.79.0.1 to 65.79.255.25465.79.255.25565,534
8165.80.0.0/1665.80.0.1 to 65.80.255.25465.80.255.25565,534
8265.81.0.0/1665.81.0.1 to 65.81.255.25465.81.255.25565,534
8365.82.0.0/1665.82.0.1 to 65.82.255.25465.82.255.25565,534
8465.83.0.0/1665.83.0.1 to 65.83.255.25465.83.255.25565,534
8565.84.0.0/1665.84.0.1 to 65.84.255.25465.84.255.25565,534
8665.85.0.0/1665.85.0.1 to 65.85.255.25465.85.255.25565,534
8765.86.0.0/1665.86.0.1 to 65.86.255.25465.86.255.25565,534
8865.87.0.0/1665.87.0.1 to 65.87.255.25465.87.255.25565,534
8965.88.0.0/1665.88.0.1 to 65.88.255.25465.88.255.25565,534
9065.89.0.0/1665.89.0.1 to 65.89.255.25465.89.255.25565,534
9165.90.0.0/1665.90.0.1 to 65.90.255.25465.90.255.25565,534
9265.91.0.0/1665.91.0.1 to 65.91.255.25465.91.255.25565,534
9365.92.0.0/1665.92.0.1 to 65.92.255.25465.92.255.25565,534
9465.93.0.0/1665.93.0.1 to 65.93.255.25465.93.255.25565,534
9565.94.0.0/1665.94.0.1 to 65.94.255.25465.94.255.25565,534
9665.95.0.0/1665.95.0.1 to 65.95.255.25465.95.255.25565,534
9765.96.0.0/1665.96.0.1 to 65.96.255.25465.96.255.25565,534
9865.97.0.0/1665.97.0.1 to 65.97.255.25465.97.255.25565,534
9965.98.0.0/1665.98.0.1 to 65.98.255.25465.98.255.25565,534
10065.99.0.0/1665.99.0.1 to 65.99.255.25465.99.255.25565,534
10165.100.0.0/1665.100.0.1 to 65.100.255.25465.100.255.25565,534
10265.101.0.0/1665.101.0.1 to 65.101.255.25465.101.255.25565,534
10365.102.0.0/1665.102.0.1 to 65.102.255.25465.102.255.25565,534
10465.103.0.0/1665.103.0.1 to 65.103.255.25465.103.255.25565,534
10565.104.0.0/1665.104.0.1 to 65.104.255.25465.104.255.25565,534
10665.105.0.0/1665.105.0.1 to 65.105.255.25465.105.255.25565,534
10765.106.0.0/1665.106.0.1 to 65.106.255.25465.106.255.25565,534
10865.107.0.0/1665.107.0.1 to 65.107.255.25465.107.255.25565,534
10965.108.0.0/1665.108.0.1 to 65.108.255.25465.108.255.25565,534
11065.109.0.0/1665.109.0.1 to 65.109.255.25465.109.255.25565,534
11165.110.0.0/1665.110.0.1 to 65.110.255.25465.110.255.25565,534
11265.111.0.0/1665.111.0.1 to 65.111.255.25465.111.255.25565,534
11365.112.0.0/1665.112.0.1 to 65.112.255.25465.112.255.25565,534
11465.113.0.0/1665.113.0.1 to 65.113.255.25465.113.255.25565,534
11565.114.0.0/1665.114.0.1 to 65.114.255.25465.114.255.25565,534
11665.115.0.0/1665.115.0.1 to 65.115.255.25465.115.255.25565,534
11765.116.0.0/1665.116.0.1 to 65.116.255.25465.116.255.25565,534
11865.117.0.0/1665.117.0.1 to 65.117.255.25465.117.255.25565,534
11965.118.0.0/1665.118.0.1 to 65.118.255.25465.118.255.25565,534
12065.119.0.0/1665.119.0.1 to 65.119.255.25465.119.255.25565,534
12165.120.0.0/1665.120.0.1 to 65.120.255.25465.120.255.25565,534
12265.121.0.0/1665.121.0.1 to 65.121.255.25465.121.255.25565,534
12365.122.0.0/1665.122.0.1 to 65.122.255.25465.122.255.25565,534
12465.123.0.0/1665.123.0.1 to 65.123.255.25465.123.255.25565,534
12565.124.0.0/1665.124.0.1 to 65.124.255.25465.124.255.25565,534
12665.125.0.0/1665.125.0.1 to 65.125.255.25465.125.255.25565,534
12765.126.0.0/1665.126.0.1 to 65.126.255.25465.126.255.25565,534
12865.127.0.0/1665.127.0.1 to 65.127.255.25465.127.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses